Subject: Re: [PATCH] Test for windows format absolute paths on cygwin too

From: Robin Rosenberg <[email-masked]>
Date: Fri, 31 Aug 2007 23:07:07 +0200

fredag 31 augusti 2007 skrev Johannes Sixt:
> Robin Rosenberg schrieb:
> > ---
> > 
> > Requires cherry-picking 6397c3119ecaa258b5185315c64062bec29bcd86
> 
> ... which you find in mingw.git.

> 
> However, that commit is not signed-off for a reason: It is going to be 
> rewritten mostly because it doesn't yet use the is_absolute_path() from 
> git-compat-util.h.

Ah, yes. It can probably wait. I needed this for the Eclipse Git plugin to work
nicely wth shared cloned repos under cygwin. With full clones there is no such
problem. Before the patch I created two references, one for cygwin and one
for EGIT, but cygwin was very noisy with that workaround and git-gui/gitk didn't
work reliably when they did work at all.

-- robin